import 'package:softplayer_dart_proto/accounts/v1/accounts_v1.pbgrpc.dart';

class SignUpData {
  final String email;
  final String password;
  final String name;
  final String surname;

  const SignUpData({
    required this.email,
    required this.password,
    required this.name,
    required this.surname,
  });

  SignUpRequest toProto() {
    return SignUpRequest(
      email: email,
      password: password,
      personalData: PersonalData(name: name, surname: surname),
    );
  }
}
